<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="FAQs">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="The “Metasploit is initializing” error appears when the Metasploit Web UI cannot reach the Metasploit service." /><title>What does the "Metasploit is initializing" error mean?</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#19-faqs/faq-metasploit-initializing-error.html">Open topic with navigation</a>
        </p>
        <h3 class="FAQ">What does the "Metasploit is initializing" error mean?</h3>
        <p>The “Metasploit is initializing” error appears when the Metasploit Web UI cannot reach the Metasploit service. This error typically occurs after you install Metasploit, after you restart the Metasploit service, or after the product hangs and times out. 
</p>
        <p>If you recently updated or installed Metasploit, you may need to wait a few minutes for the service to restart. If the service does not restart, you should stop the Metasploit service and restart it. </p>
        <h4 class="FAQSubHeader">Linux</h4>
        <p>For Linux systems, open a command line terminal and run the following command:</p>
        <p><code class="usertype">$</code> <![CDATA[ ]]><code class="usertype">sudo bash /opt/metasploit-&lt;version&gt; ctlscript.sh restart</code></p>
        <h4 class="FAQSubHeader">Windows</h4>
        <p>For Windows systems, choose<b class="UISelection"> Start &gt; Programs &gt; Metasploit &gt; Services &gt; Stop Services</b>. Then, choose <b class="UISelection">Start &gt; Programs &gt; Metasploit &gt; Services &gt; Start Services</b> to restart the Metasploit service.</p>
        <p>&#160;</p>
        <p>&#160;</p>
    </body>
</html>